/*
 * distromatic - tool for RPM based repositories
 *
 * Copyright (C) 2020 by Silvan Calarco <silvan.calarco@mambasoft.it>
 */

#ifndef CONFIG_H
#define CONFIG_H

#include "distromatic.h"
#include "headerlist.h"

struct configDefaults {
     char *html_basedir;
     char *distribution_name;
     char *url_address;
     char *url_prefix;
     char *url_search_prefix;
     char *url_dir;
     char *favicon_search_prefix;
     char *arch[ARCHS_MAX];
};

struct configTag {
     struct configDefaults *configdefaults;
     char *tag;
     char *description;
     char *repository_dir;
     char *repository_source_dir;
     struct configTag *repository[ALT_REPS_MAX+1];
     int repository_level;
     char *html_dir;
     char *download_prefix;
     char *download_dir;
     char *repodata_url;
     char *showfile_prefix;
     char *arch[ARCHS_MAX];
     struct headerList *headerlist[ARCHS_MAX];
     struct headerSourceList *headersourcelist;
     struct providedList *providedlist_idx[ARCHS_MAX][PROVIDEDLIST_IDX_SIZE];
     struct fileTree *filetree[ARCHS_MAX];
     struct fileUserList *fileuserlist[ARCHS_MAX];
     struct fileGroupList *filegrouplist[ARCHS_MAX];
     struct headerStats stats;
     struct configTag *next;
     void *db[ARCHS_MAX + 1];
};

#endif
