/*
 * distromatic - tool for RPM based repositories
 *
 * Copyright (C) 2004-2007 by Silvan Calarco <silvan.calarco@mambasoft.it>
 * Copyright (C) 2006 by Davide Madrisan <davide.madrisan@gmail.com>
 */

#ifndef GENHTML_H
#define GENHTML_H

#ifndef DISTROMATIC_H
# include "distromatic.h"
#endif
#ifndef HEADERLIST_H
# include "headerlist.h"
#endif

int comparePackagers(const void *ptr1, const void *ptr2);
int generateMaintainersPages(struct configTag *configtag);
int printHTMLWarnings(FILE *fout,struct configTag *configtag, struct headerSourceList* pkg, int mode);
void printpkgicon(FILE *fout, struct configTag *configtag, struct headerSourceList *s);
int generateStats(struct configTag *configtag,int arch);
int cleanHTMLFilesInc(char* dir);
int cleanHTMLPackagesFiles(struct configTag *ct);
int cleanHTMLFiles(struct configTag *ct);
int generateHTMLFiles(struct configTag *configtag,int arch);
int generateHTML_SRPMSFiles(struct configTag *configtag);
int generateHTMLMainIndex(struct configTag *configtag);
int write_RPM_HTML(struct configTag *ct,FILE *fout, struct headerList *currheaderlist);
int print_contentslist(struct configTag *ct, int arch);
int print_datatables(struct configTag *ct, int arch);
char *ftname(struct fileTree* ft, char* buf);
void print_contents_subtree(FILE *f,
                            struct fileTree* ft,
			    struct configTag* ct,
			    char* buf, int bufsize);
int generatePkgList(struct configTag *ct, int arch);
int generateSrcPkgList(struct configTag *ct);

#endif                          // HEADERLIST_H
